# FirstHitInfo Struct Reference
[Data Structures]

Inheritance diagram for FirstHitInfo:

List of all members.

## Public Types
enum | { kSampled = 1, kFinalColor = 2, kReflection = 4, kTransparency = 8, kCaustic = 16, kInterpolated = 32 }
## Public Member Functions
boolean | HasBeenSampled () const
boolean | HasFinalColor () const
boolean | HasReflection () const
boolean | HasTransparency () const
boolean | HasCaustics () const
boolean | HasBeenInterpolated () const
void | SetHasBeenSampled ()
void | SetHasFinalColor ()
void | SetHasReflection ()
void | SetHasTransparency ()
void | SetHasCaustics ()
void | SetInterpolated ()
## Public Attributes
uint32 | fFlags
TMCColorRGB | fReflectionColor
TMCColorRGB | fTransparencyColor
TMCColorRGB | fCausticColor
TMCClassArray< LightingInfo > | fLightInfo
IndirectLightingInfo | fIndirectLightingInfo
BasicLightInfo | fInscatteredLightingInfo

## Detailed Description

Rendering cache for first hits.

## Member Enumeration Documentation

anonymous enum

Enumerator:

  kSampled |
  kFinalColor |
  kReflection |
  kTransparency |
  kCaustic |
  kInterpolated |

## Member Function Documentation

boolean FirstHitInfo::HasBeenInterpolated | ( |  | ) | const`[inline]`

boolean FirstHitInfo::HasBeenSampled | ( |  | ) | const`[inline]`

boolean FirstHitInfo::HasCaustics | ( |  | ) | const`[inline]`

boolean FirstHitInfo::HasFinalColor | ( |  | ) | const`[inline]`

boolean FirstHitInfo::HasReflection | ( |  | ) | const`[inline]`

boolean FirstHitInfo::HasTransparency | ( |  | ) | const`[inline]`

void FirstHitInfo::SetHasBeenSampled | ( |  | ) | `[inline]`

void FirstHitInfo::SetHasCaustics | ( |  | ) | `[inline]`

void FirstHitInfo::SetHasFinalColor | ( |  | ) | `[inline]`

void FirstHitInfo::SetHasReflection | ( |  | ) | `[inline]`

void FirstHitInfo::SetHasTransparency | ( |  | ) | `[inline]`

void FirstHitInfo::SetInterpolated | ( |  | ) | `[inline]`

## Member Data Documentation

TMCColorRGB FirstHitInfo::fCausticColor

uint32 FirstHitInfo::fFlags

IndirectLightingInfo FirstHitInfo::fIndirectLightingInfo

BasicLightInfo FirstHitInfo::fInscatteredLightingInfo

TMCClassArray<LightingInfo> FirstHitInfo::fLightInfo

TMCColorRGB FirstHitInfo::fReflectionColor

TMCColorRGB FirstHitInfo::fTransparencyColor

The documentation for this struct was generated from the following file:

- RenderTypes.h